require "spec_helper"

describe FimmedUp::Configuration do
  after do
    FimmedUp.reset
  end

  describe '.username' do
    it 'should have correct username' do
      FimmedUp.username.eql? FimmedUp::Configuration::DEFAULT_USERNAME
    end
  end

  describe '.password' do
    it 'should have correct password' do
      FimmedUp.password.eql? FimmedUp::Configuration::DEFAULT_PASSWORD
    end
  end

  describe '.endpoint' do
    it 'should return the default endpoint' do
      FimmedUp.endpoint.eql? FimmedUp::Configuration::DEFAULT_ENDPOINT
    end
  end

  FimmedUp::Configuration::VALID_CONFIG_KEYS.each do |key|
    describe ".#{key}" do
      it 'should return the default value' do
        FimmedUp.send(key).eql? FimmedUp::Configuration.const_get("DEFAULT_#{key.upcase}")
      end
    end
  end
end